### Type Parameters

- #### T

### Hierarchy

- SearchDirectiveListeners

## Index

### Properties

- autocomplete
- change
- close
- cursorchange
- datasetsempty
- open
- select

## Properties

### autocomplete

autocomplete: ((arg0: Event, arg1: T, arg2: Dataset<T>) => void)

- Defined in src/search/searchDirective.js:30

#### Type declaration

- - (arg0: Event, arg1: T, arg2: Dataset<T>): void

  - #### Parameters

    - ##### arg0: Event

    - ##### arg1: T

    - ##### arg2: Dataset<T>

    #### Returns void

### change

change: ((arg0: Event, arg1: string) => void)

- Defined in src/search/searchDirective.js:32

#### Type declaration

- - (arg0: Event, arg1: string): void

  - #### Parameters

    - ##### arg0: Event

    - ##### arg1: string

    #### Returns void

### close

close: (() => void)

- Defined in src/search/searchDirective.js:27

#### Type declaration

- - (): void

  - #### Returns void

### cursorchange

cursorchange: ((arg0: Event, arg1: T, arg2: Dataset<T>) => void)

- Defined in src/search/searchDirective.js:28

#### Type declaration

- - (arg0: Event, arg1: T, arg2: Dataset<T>): void

  - #### Parameters

    - ##### arg0: Event

    - ##### arg1: T

    - ##### arg2: Dataset<T>

    #### Returns void

### datasetsempty

datasetsempty: ((arg0: Event, arg1: string, arg2: boolean) => void)

- Defined in src/search/searchDirective.js:31

#### Type declaration

- - (arg0: Event, arg1: string, arg2: boolean): void

  - #### Parameters

    - ##### arg0: Event

    - ##### arg1: string

    - ##### arg2: boolean

    #### Returns void

### open

open: (() => void)

- Defined in src/search/searchDirective.js:26

#### Type declaration

- - (): void

  - #### Returns void

### select

select: ((arg0: Event, arg1: T, arg2: Dataset<T>) => void)

- Defined in src/search/searchDirective.js:29

#### Type declaration

- - (arg0: Event, arg1: T, arg2: Dataset<T>): void

  - #### Parameters

    - ##### arg0: Event

    - ##### arg1: T

    - ##### arg2: Dataset<T>

    #### Returns void

Generated using TypeDoc